TLSRPT-COLLECTD(1)

NAME
tlsrpt-collectd - A daemon collecting TLSRPT report data from MTA instances via a unix domain socket.

SYNOPSIS

tlsrpt-collectd [OPTION]

DESCRIPTION

The tlsrpt-collectd collects data from MTAs about successful encrypted delivery of emails or about failures that occured during delivery attempts. The data is pre-aggregated and will be retrieved by matching tlsrpt-fetchers.

Tlsrpt-collectds can use different storage back-ends and for each such implementation a matching fetcher implementation must be provided if the data is to be used by a tlsrpt-reportd.

It is also possible to implement storage backends that are not queried by a tlsrpt-reportd. Such "storage" back-ends would just collect the data for analyzing purposes, but would not provide measn to retrieve the data again.

OPTIONS

--storage=URL
    Use data storage described by URL. This can be a comma-separated list of multiple storage backends. The URL schema identifies the storage backend.

--socketname=path
    Listen on unix domain socket path for report data.

--socketuser=name
    Set the user ownership of the socket to name.

--socketgroup=name
    Set the group ownership of the socket to name.

--socketmode=octal
    Set the file mode bits of the socket to numeric mode octal. E.g. 0200 to allow only write access for the owner.

--sockettimeout=n
    Commit accumulated data to the data storage if n seconds have passed since the last commit.

--max_uncommited_datagrams=n
    Commit accumulated data to the data storage after n datagrams have been received.

--retry_commit_datagram_count=n
    After a commit of the accumulated data has failed, retry after n more datagrams have been received instead of directly after the next datagram. If a commit fails due to a timeout, retrying after every datagram might risk running into the same timeout again and again. Retrying only every n datagrams reduces the time waiting for such timeouts.

--daily_rollover_script=script
    If this option is set, script will be run after midnight UTC has passed and maintenance steps were performed. This can be useful to push the collectd database to some other place in setups where a remote TLSRPT-collectd cannot be easily queried from the TLSRPT-reportd but the TLSRPT-collectd can push data to the TLSRPT-reportd.

--dump_path_for_invalid_datagram=path
    If an invalid datagram is received and this options is set, the invalid datagram will be saved in the file named path.

  General options

--config_file=filename
    Read options from the section tlsrpt_collectd of the INI-style configuration file filename. Environment variables override setings from the configurstion file and command line options override both.

--help
    Print a help message describing all options.

--pidfilename=path
    Specifies the file that contains the process ID of the tlsrpt-collectd daemon. An empty string will cause no PID file to be created.

  Logging options

--logfilename=filename
    Use filename as log file.

--log_level=level
    Set log level to level, allowed values: debug, info, warn, error.

ENVIRONMENT

All config options except --help and --config_file can also be set via environment variables. The environment variable for a configuration option is the prefix TLSRPT_COLLECTD_ followed by the configuration setting name in all caps. For example the --log_level option can instead by configured using the TLSRPT_COLLECTD_LOG_LEVEL environment variable.

EXIT STATUS

0
    Success.

1
    Failure. Data could not be delivered.

2
    Failure. Data could not be delivered.

3
    Usage error.

EXAMPLES

Run tlsrpt-collectd with a special config file and ovverride the setting of log-level:

tlsrpt-collectd --config-file /path/to/config.cfg --log_level info

SEE ALSO

man:tlsrpt-fetcher[1], man:tlsrpt-reportd[1]

AUTHOR

Boris Lohner